import { Command } from '../../handler';
import { sendPlayerMessage } from '../../../config';
import { ccLd, rpsLd } from '../../../lifesteal';
new Command({
    name: `leaderboard`,
    code({ player, args }) {
        let ccLdArray = [];
        let rpsLdArray = [];
        ccLd.forEach((key, value) => {
            ccLdArray.push({
                player: `${key}`,
                score: +value
            });
        });
        rpsLd.forEach((key, value) => {
            rpsLdArray.push({
                player: `${key}`,
                score: +value
            });
        });
        ccLdArray.sort((a, b) => b.score - a.score);
        rpsLdArray.sort((a, b) => b.score - a.score);
        sendPlayerMessage(player, `§eLifesteal Ghost Leaderboard ---

§6§lCookieclicker Clicks ---§r§6
${ccLdArray.map(x => {
            return `${x.player}: ${x.score}`;
        }).join(`\n`)}
§6§lRock Paper Scissors Wins ---§r§6
${rpsLdArray.map(x => {
            return `${x.player}: ${x.score}`;
        }).join(`\n`)}`);
    }
});
