import { world } from '@minecraft/server';
import { Command } from '../../handler';
import { sendPlayerMessage, config } from '../../../config';
import { deadplayers, revivelist } from '../../../lifesteal';
export function forceReviveHelp(player) {
    sendPlayerMessage(player, `§e§lLifesteal Help Page -- Forcerevive§r§6
> Revive a dead player with no heart of life

> Usage: ${config.prefix}forcerevive <player>

> Examples: [
${config.prefix}forcerevive ${player.name}
]`);
}
new Command({
    name: `forcerevive`,
    staffOnly: true,
    code({ player, args }) {
        if (!args[0])
            return forceReviveHelp(player);
        let target;
        deadplayers.forEach(x => {
            if (x.toLowerCase() == args.join(` `).toLowerCase()) {
                target = x;
            }
        });
        if (!target) {
            for (let players of world.getAllPlayers()) {
                if (players.name.toLowerCase() == args.join(` `).toLowerCase())
                    return sendPlayerMessage(player, `§cThat player is not a ghost!`);
            }
            return sendPlayerMessage(player, `§cFailed to find player, the player must be a ghost`);
        }
        revivelist.set(`${target.toLowerCase()}`, `${target.toLowerCase()}`);
        deadplayers.forEach(x => {
            if (x.toLowerCase() == args.join(` `).toLowerCase()) {
                deadplayers.delete(x);
            }
        });
        sendPlayerMessage(player, `§aRevived §f${target}`);
    },
});
