import { world, Player } from '@minecraft/server';
import { Command } from '../../handler';
import { sendPlayerMessage, sendAllMessage, config, runCommands } from '../../../config';
import { deadplayers, revivelist, lifesteal, getPlayer, time, getScore } from '../../../lifesteal';

export function deadPlayersHelp(player: Player) {
    sendPlayerMessage(player, `§e§lLifesteal Help Page -- Deadplayers§r§6
> Get a list of all dead players

> Usage: ${config.prefix}deadplayers

> Examples: [
${config.prefix}deadplayers
]`);
}

new Command({
    name: `deadplayers`,
    code({ player }) {
        sendPlayerMessage(player, `§e§lDead Players ---`);
        if (!deadplayers.length) sendPlayerMessage(player, `§6No dead players found!`);
        deadplayers.forEach(x => {
            sendPlayerMessage(player, `§6${x}`);
        });
    }
});